dpkg-trigger(1)

NOME
dpkg-trigger - um utilitário de trigger de pacote

RESUMO
dpkg-trigger [option...] trigger-name

dpkg-trigger [option...] command

DESCRIÇÃO
dpkg-trigger é uma ferramenta para activar explicitamente triggers e verificar o seu suporte no dpkg em execução.

Isto pode ser usado pelos scripts do maintainer em situações complexas e condicionais onde os gatilhos do ficheiro, ou a directiva de ficheiro declarativa de gatilhos activate, sejam insuficientemente ricos. Também pode ser usado para testes e por administradores de sistema (mas note que os gatilhos não serão realmente corridos pelo dpkg-trigger).

Sintaxes de nome de trigger não reconhecidas são um erro para o dpkg-trigger.

Este programa foi introduzido no dpkg 1.14.17.

COMANDOS

--check-supported
    Verifica se o dpkg a correr suporta gatilhos (geralmente chamados a partir de um postinst). Irá terminar com 0 se correu um dpkg com capacidade-de-gatilhos, ou 1 com uma mensagem de erro para o stderr se não. No entanto, é normalmente melhor apenas activar o gatilho desejado com dpkg-trigger.

-?, --help
    Mostra a mensagem de utilização e termina.

--version
    Mostra a versão e termina.

OPÇÕES

--admindir=dir
    Altera a localização da base de dados do dpkg. A predefinição é /var/lib/dpkg se DPKG_ADMINDIR não estiver definido.

--root=directory
    Define o directório raiz para directory, o que define o directório administrativo para «directory/var/lib/dpkg» (desde dpkg 1.21.0).

--by-package=package
    Sobrepõe o esperador do gatilho (normalmente definido pelo dpkg através da variável de ambiente DPKG_MAINTSCRIPT_PACKAGE dos scripts do maintainer, que nomeiam o pacote ao qual o script pertence, e isto será usado por predefinição).

--no-await
    Esta opção faz com que o pacote chamador T (se existir) não precisa de esperar o processamento deste gatilho; os pacotes interessados I, não serão adicionados à lista de espera de processamento de gatilhos de T e o estado de T não alterou. T pode ser considerado instalado mesmo apesar de I ainda não ter processado o gatilho.

--await
    Esta opção faz o inverso de --no-await (desde dpkg 1.17.21). Se o pacote interessado declarou uma directiva “noawait”, então esta opção não será efectiva. Actualmente é o comportamento predefinido.

--no-act
    Apenas testa, na realidade não alterada nada.

ESTADO À SAÍDA

0   A acção requisitada foi executada com sucesso. Ou uma verificação ou comando de afirmação retornou verdadeiro.

1   Uma verificação ou comando de afirmação retornou falso.

2   Erro fatal ou irrecuperável devido a utilização de linha de comandos inválida, ou interações com o sistema, tais como acesso à base de dados, alocações de memória, etc.

AMBIENTE

DPKG_ROOT
    Se definido e a opção --root não foi especificada, será usado como o directório raiz do sistema de ficheiros (desde dpkg 1.21.0).

DPKG_ADMINDIR
    Se definido e a opção --admindir não for especificada, será usado como o directório de dados do dpkg.

DPKG_DEBUG
    Define a máscara de depuração (desde dpkg 1.21.10) a partir dum valor octal. As bandeiras presentemente aceites estão descritas na opção dpkg --debug, mas nem todas estas bandeiras podem ter um efeito neste programa.

DPKG_COLORS
    Define o modo de cor (desde dpkg 1.18.5). Os valores actualmente aceites são: auto (predefinido), always e never.

DPKG_NLS
    If set, it will be used to decide whether to activate Native Language Support, also known as internationalization (or i18n) support (since dpkg 1.22.7). The accepted values are: 0 and 1 (default).

VEJA TAMBÉM
dpkg(1), deb-triggers(5), /usr/share/doc/dpkg/spec/triggers.txt.

TRADUÇÃO
Américo Monteiro

Se encontrar algum erro na tradução deste documento, por favor comunique para Américo Monteiro <a_monteiro@gmx.com>.